=== Modules/Filtering/ImageFilterBase/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKImageFilterBase)
itk_auto_load_and_end_wrap_submodules()
