=== Modules/IO/JPEG/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKIOJPEG)
itk_auto_load_and_end_wrap_submodules()
