=== Modules/IO/NRRD/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKIONRRD)
itk_auto_load_and_end_wrap_submodules()
