=== Modules/Numerics/Statistics/test/CMakeLists.txt ===
itk_module_test()
set(ITKStatisticsTests
    itkDecisionRuleTest.cxx
    itkDenseFrequencyContainer2Test.cxx
    itkExpectationMaximizationMixtureModelEstimatorTest.cxx
    itkGaussianDistributionTest.cxx
    itkGaussianMembershipFunctionTest.cxx
    itkGaussianMixtureModelComponentTest.cxx
    itkGaussianRandomSpatialNeighborSubsamplerTest.cxx
    itkKalmanLinearEstimatorTest.cxx
    itkKdTreeBasedKmeansEstimatorTest.cxx
    itkKdTreeGeneratorTest.cxx
    itkKdTreeTest1.cxx
    itkKdTreeTest2.cxx
    itkKdTreeTest3.cxx
    itkKdTreeTestSamplePoints.cxx
    itkMaximumDecisionRuleTest.cxx
    itkMinimumDecisionRuleTest.cxx
    itkMaximumRatioDecisionRuleTest.cxx
    itkMeanSampleFilterTest.cxx
    itkMeanSampleFilterTest2.cxx
    itkMeanSampleFilterTest3.cxx
    itkHistogramTest.cxx
    itkHistogramToTextureFeaturesFilterTest.cxx
    itkHistogramToTextureFeaturesFilterNaNTest.cxx
    itkChiSquareDistributionTest.cxx
    itkCovarianceSampleFilterTest.cxx
    itkCovarianceSampleFilterTest2.cxx
    itkCovarianceSampleFilterTest3.cxx
    itkWeightedCovarianceSampleFilterTest.cxx
    itkWeightedCovarianceSampleFilterTest2.cxx
    itkWeightedMeanSampleFilterTest.cxx
    itkWeightedCentroidKdTreeGeneratorTest1.cxx
    itkWeightedCentroidKdTreeGeneratorTest8.cxx
    itkWeightedCentroidKdTreeGeneratorTest9.cxx
    itkMahalanobisDistanceMetricTest.cxx
    itkManhattanDistanceMetricTest.cxx
    itkMembershipFunctionBaseTest.cxx
    itkMembershipFunctionBaseTest2.cxx
    itkMembershipSampleTest1.cxx
    itkMembershipSampleTest2.cxx
    itkMembershipSampleTest3.cxx
    itkMembershipSampleTest4.cxx
    itkMeasurementVectorTraitsTest.cxx
    itkNeighborhoodSamplerTest1.cxx
    itkMixtureModelComponentBaseTest.cxx
    itkNormalVariateGeneratorTest1.cxx
    itkDistanceMetricTest.cxx
    itkDistanceMetricTest2.cxx
    itkDistanceToCentroidMembershipFunctionTest.cxx
    itkEuclideanDistanceMetricTest.cxx
    itkEuclideanSquareDistanceMetricTest.cxx
    itkListSampleTest.cxx
    itkImageToListSampleAdaptorTest.cxx
    itkImageToListSampleAdaptorTest2.cxx
    itkImageToListSampleFilterTest.cxx
    itkImageToListSampleFilterTest2.cxx
    itkImageToListSampleFilterTest3.cxx
    itkListSampleTest.cxx
    itkJointDomainImageToListSampleAdaptorTest.cxx
    itkPointSetToListSampleAdaptorTest.cxx
    itkProbabilityDistributionTest.cxx
    itkRandomVariateGeneratorBaseTest.cxx
    itkSampleTest.cxx
    itkSampleTest2.cxx
    itkSampleTest3.cxx
    itkSampleTest4.cxx
    itkSampleToHistogramFilterTest.cxx
    itkSampleToHistogramFilterTest2.cxx
    itkSampleToHistogramFilterTest3.cxx
    itkSampleToHistogramFilterTest4.cxx
    itkSampleToHistogramFilterTest5.cxx
    itkSampleToHistogramFilterTest6.cxx
    itkSampleToHistogramFilterTest7.cxx
    itkSampleToSubsampleFilterTest1.cxx
    itkScalarImageToCooccurrenceListSampleFilterTest.cxx
    itkScalarImageToCooccurrenceMatrixFilterTest.cxx
    itkScalarImageToCooccurrenceMatrixFilterTest2.cxx
    itkScalarImageToTextureFeaturesFilterTest.cxx
    itkScalarImageToRunLengthMatrixFilterTest.cxx
    itkScalarImageToRunLengthFeaturesFilterTest.cxx
    itkSparseFrequencyContainer2Test.cxx
    itkSpatialNeighborSubsamplerTest.cxx
    itkStandardDeviationPerComponentSampleFilterTest.cxx
    itkStatisticsTypesTest.cxx
    itkSubsampleTest.cxx
    itkSubsampleTest2.cxx
    itkSubsampleTest3.cxx
    itkTDistributionTest.cxx
    itkStatisticsAlgorithmTest.cxx
    itkStatisticsAlgorithmTest2.cxx
    itkUniformRandomSpatialNeighborSubsamplerTest.cxx
    itkVectorContainerToListSampleAdaptorTest.cxx
    itkImageToHistogramFilterTest.cxx
    itkImageToHistogramFilterTest2.cxx
    itkScalarImageToHistogramGeneratorTest.cxx)

createtestdriver(ITKStatistics "${ITKStatistics-Test_LIBRARIES}" "${ITKStatisticsTests}")

set(TEMP ${ITK_TEST_OUTPUT_DIR})

itk_add_test(
  NAME
  itkDecisionRuleTest
  COMMAND
  ITKStatisticsTestDriver
  itkDecisionRuleTest)
itk_add_test(
  NAME
  itkDenseFrequencyContainer2Test
  COMMAND
  ITKStatisticsTestDriver
  itkDenseFrequencyContainer2Test)
itk_add_test(
  NAME
  itkExpectationMaximizationMixtureModelEstimatorTest
  COMMAND
  ITKStatisticsTestDriver
  itkExpectationMaximizationMixtureModelEstimatorTest
  DATA{${ITK_DATA_ROOT}/Input/Statistics/TwoDimensionTwoGaussian.dat})
itk_add_test(
  NAME
  itkGaussianDistributionTest
  COMMAND
  ITKStatisticsTestDriver
  itkGaussianDistributionTest)
itk_add_test(
  NAME
  itkGaussianMembershipFunctionTest
  COMMAND
  ITKStatisticsTestDriver
  itkGaussianMembershipFunctionTest)
itk_add_test(
  NAME
  itkGaussianMixtureModelComponentTest
  COMMAND
  ITKStatisticsTestDriver
  itkGaussianMixtureModelComponentTest
  DATA{${ITK_DATA_ROOT}/Input/Statistics/TwoDimensionTwoGaussian.dat})
itk_add_test(
  NAME
  itkGaussianRandomSpatialNeighborSubsamplerTest
  COMMAND
  ITKStatisticsTestDriver
  --compare
  DATA{Baseline/itkGaussianRandomSubsamplingTest.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkGaussianRandomSubsamplingTest.mha
  itkGaussianRandomSpatialNeighborSubsamplerTest
  ${ITK_TEST_OUTPUT_DIR}/itkGaussianRandomSubsamplingTest.mha)
itk_add_test(
  NAME
  itkKalmanLinearEstimatorTest
  COMMAND
  ITKStatisticsTestDriver
  itkKalmanLinearEstimatorTest)
itk_add_test(
  NAME
  itkKdTreeBasedKmeansEstimatorTest
  COMMAND
  ITKStatisticsTestDriver
  itkKdTreeBasedKmeansEstimatorTest
  DATA{${ITK_DATA_ROOT}/Input/Statistics/TwoDimensionTwoGaussian.dat}
  1
  28.54746
  0.07
  0)
itk_add_test(
  NAME
  itkKdTreeGeneratorTest
  COMMAND
  ITKStatisticsTestDriver
  itkKdTreeGeneratorTest
  DATA{${ITK_DATA_ROOT}/Input/Statistics/TwoDimensionTwoGaussian.dat})

itk_add_test(
  NAME
  itkKdTreeTest1
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest1.txt
  itkKdTreeTest1
  100
  100
  1
  ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest1_100.dot)
set_tests_properties(itkKdTreeTest1 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest1.txt)

itk_add_test(
  NAME
  itkKdTreeTest2
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest2.txt
  itkKdTreeTest2
  DATA{${ITK_DATA_ROOT}/Input/pointsForKdTree.txt}
  1
  ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest2.dot)
set_tests_properties(itkKdTreeTest2 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest2.txt)

itk_add_test(
  NAME
  itkKdTreeTest3
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest3.txt
  itkKdTreeTest2
  DATA{${ITK_DATA_ROOT}/Input/pointsForKdTree2.txt}
  1
  ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest3.dot)
set_tests_properties(itkKdTreeTest3 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest3.txt)

itk_add_test(
  NAME
  itkKdTreeTest4
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest4.txt
  itkKdTreeTest1
  1000
  1000
  1)
set_tests_properties(itkKdTreeTest4 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest4.txt)

itk_add_test(
  NAME
  itkKdTreeTest5
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest5.txt
  itkKdTreeTest1
  1000
  1000
  2)
set_tests_properties(itkKdTreeTest5 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest5.txt)

itk_add_test(
  NAME
  itkKdTreeTest6
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest6.txt
  itkKdTreeTest1
  1000
  1000
  3)
set_tests_properties(itkKdTreeTest6 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest6.txt)

itk_add_test(
  NAME
  itkKdTreeTest7
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest7.txt
  itkKdTreeTest1
  1000
  1000
  5)
set_tests_properties(itkKdTreeTest7 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest7.txt)

itk_add_test(
  NAME
  itkKdTreeTest8
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest8.txt
  itkKdTreeTest1
  1000
  1000
  10)
set_tests_properties(itkKdTreeTest8 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest8.txt)

itk_add_test(
  NAME
  itkKdTreeTest9
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest9.txt
  itkKdTreeTest1
  1000
  1000
  20)
set_tests_properties(itkKdTreeTest9 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest9.txt)

itk_add_test(
  NAME
  itkKdTreeTest10
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest10.txt
  itkKdTreeTest1
  1000
  1000
  100)
set_tests_properties(itkKdTreeTest10 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest10.txt)

itk_add_test(
  NAME
  itkKdTreeTest11
  COMMAND
  ITKStatisticsTestDriver
  --redirectOutput
  ${TEMP}/itkKdTreeTest11.txt
  itkKdTreeTest3
  1000
  100
  20
  16)
set_tests_properties(itkKdTreeTest11 PROPERTIES ATTACHED_FILES_ON_FAIL ${TEMP}/itkKdTreeTest11.txt)

#
#  The following tests generate graphical plots of the KdTree organization.
#  They are very helpful for debugging and verification purposes, but not so
#  much for regression testing. They need the "dot" tool that is part of the
#  Graphviz package. The dot executable is found as part of the process of
#  configuring the Doxygen documentation. Therefore, to enable these tests
#  below, you must enable BUILD_DOXYGEN and ITK_BUILD_DOCUMENTATION.
#
if(DOXYGEN_DOT_EXECUTABLE)
  itk_add_test(
    NAME
    itkKdTreeTest1Plot
    COMMAND
    ${DOXYGEN_DOT_EXECUTABLE}
    -Tpng
    -o
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest1_100.png
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest1_100.dot)
  set_tests_properties(itkKdTreeTest1Plot PROPERTIES DEPENDS itkKdTreeTest1)
  itk_add_test(
    NAME
    itkKdTreeTest2Plot
    COMMAND
    ${DOXYGEN_DOT_EXECUTABLE}
    -Tpng
    -o
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest2.png
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest2.dot)
  set_tests_properties(itkKdTreeTest2Plot PROPERTIES DEPENDS itkKdTreeTest2)
  itk_add_test(
    NAME
    itkKdTreeTest3Plot
    COMMAND
    ${DOXYGEN_DOT_EXECUTABLE}
    -Tpng
    -o
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest3.png
    ${ITK_TEST_OUTPUT_DIR}/itkKdTreeTest3.dot)
  set_tests_properties(itkKdTreeTest3Plot PROPERTIES DEPENDS itkKdTreeTest3)
endif()

itk_add_test(
  NAME
  itkKdTreeTestSamplePoints
  COMMAND
  ITKStatisticsTestDriver
  itkKdTreeTestSamplePoints)
itk_add_test(
  NAME
  itkMaximumDecisionRuleTest
  COMMAND
  ITKStatisticsTestDriver
  itkMaximumDecisionRuleTest)
itk_add_test(
  NAME
  itkMinimumDecisionRuleTest
  COMMAND
  ITKStatisticsTestDriver
  itkMinimumDecisionRuleTest)
itk_add_test(
  NAME
  itkMaximumRatioDecisionRuleTest
  COMMAND
  ITKStatisticsTestDriver
  itkMaximumRatioDecisionRuleTest)
itk_add_test(
  NAME
  itkMeanSampleFilterTest
  COMMAND
  ITKStatisticsTestDriver
  itkMeanSampleFilterTest)
itk_add_test(
  NAME
  itkMeanSampleFilterTest2
  COMMAND
  ITKStatisticsTestDriver
  itkMeanSampleFilterTest2)
itk_add_test(
  NAME
  itkMeanSampleFilterTest3
  COMMAND
  ITKStatisticsTestDriver
  itkMeanSampleFilterTest3)
itk_add_test(
  NAME
  itkHistogramTest
  COMMAND
  ITKStatisticsTestDriver
  itkHistogramTest)
itk_add_test(
  NAME
  itkHistogramToTextureFeaturesFilterTest
  COMMAND
  ITKStatisticsTestDriver
  itkHistogramToTextureFeaturesFilterTest)
itk_add_test(
  NAME
  itkHistogramToTextureFeaturesFilterNaNTest
  COMMAND
  ITKStatisticsTestDriver
  itkHistogramToTextureFeaturesFilterNaNTest)
itk_add_test(
  NAME
  itkChiSquareDistributionTest
  COMMAND
  ITKStatisticsTestDriver
  itkChiSquareDistributionTest)
itk_add_test(
  NAME
  itkCovarianceSampleFilterTest
  COMMAND
  ITKStatisticsTestDriver
  itkCovarianceSampleFilterTest)
itk_add_test(
  NAME
  itkCovarianceSampleFilterTest2
  COMMAND
  ITKStatisticsTestDriver
  itkCovarianceSampleFilterTest2)
itk_add_test(
  NAME
  itkCovarianceSampleFilterTest3
  COMMAND
  ITKStatisticsTestDriver
  itkCovarianceSampleFilterTest3)
itk_add_test(
  NAME
  itkWeightedCentroidKdTreeGeneratorTest1
  COMMAND
  ITKStatisticsTestDriver
  itkWeightedCentroidKdTreeGeneratorTest1
  1000
  1000
  1)
itk_add_test(
  NAME
  itkWeightedCentroidKdTreeGeneratorTest2
  COMMAND
  ITKStatisticsTestDriver
  itkWeightedCentroidKdTreeGeneratorTest1
  1000
  1000
  2)
